<div class="login-container">
    <div *ngIf="user | async; else loggedout">
        <h2>You are currently logged in.</h2>

        <div class="row p-card featured-events">
            <div class="col-sm-12"><h1>Check out these Gatherings near you!</h1></div>
            <div class="row" *ngIf="events$ | async; let events">
                <div class="col-sm-4" *ngFor="let event of events">
                    <div class="thumbnail">
                    <img src="{{ event.photoUrl }}" alt="...">
                    <div class="caption featured-events-desc">
                        <p class="featured-events-date">{{ event.date }}</p>
                        <h3 class="featured-events-title">{{ event.title }}</h3>
                        <p>{{ event.description | slice:0:100}}...</p>
                    </div>
                    </div>
                </div>
            </div>
        </div>


        <button class="signout-button" (click)="signout()">Sign out</button>


        <!-- {{user | async | json}}
        {{events | async | json}}
        
        
        <tag-input [ngModel]="[]"
            [onlyFromAutocomplete]="true"
            [identifyBy]="'id'"
            [displayBy]="'title'"
            >
            <tag-input-dropdown [showDropdownIfEmpty]="true"
                [autocompleteItems]="topics"
                [identifyBy]="'id'"
                [displayBy]="'title'"
            >
            </tag-input-dropdown>
        </tag-input> -->
    </div>


    <ng-template #loggedout>
        <form [formGroup]="userForm"  *ngIf="newUser"  (ngSubmit)="signup()">
            <h3 class="new">New User Signup</h3>
            <p class="clickable reg new" (click)="toggleForm()">Already Registered?</p>

            <div class="form-step">
                <label class="form-label" for="email">Email</label>
                <input type="email"
                    formControlName="email" required >
            </div>

            <div *ngIf="formErrors.email">
            {{ formErrors.email }}
            </div>
<!-- 
            <image-upload
                (url)="onUploadDone($event)"></image-upload>
            <img *ngIf="imageUrl" [src]="imageUrl">

            <input hidden [value]="imageUrl" name="imageUrl" /> -->
            <div class="form-step">                    
                <label class="form-label" for="password">Password</label>
                <input type="password"
                    formControlName="password" required >
            </div>
            
            <div *ngIf="formErrors.password">
            {{ formErrors.password }}
            </div>


            <button class="submit-button" type="submit"  [disabled]="!userForm.valid">Submit</button>


            <hr>

        </form>


        <form [formGroup]="userForm"  *ngIf="!newUser"  (ngSubmit)="login()">
            <h3 class="new">Login</h3>
                <p class="clickable reg new" (click)="toggleForm()">New to the site?</p>
            <div class="form-step">                    
                <label class="form-label" for="email">Email</label>
                <input type="email"
                    formControlName="email" required >
            </div>

            <div *ngIf="formErrors.email">
            {{ formErrors.email }}
            </div>

            <div class="form-step">                    
            <label class="form-label" for="password">Password</label>
                <input type="password"
                    formControlName="password" required >
            </div>

            <div *ngIf="formErrors.password">
            {{ formErrors.password }}
            </div>

            <button class="submit-button" type="submit"  [disabled]="!userForm.valid">Submit</button>
            <hr>
            
        </form>
    </ng-template>
</div>